Create shipping cost policy
curl --request POST \
--url https://staging.api.commercengine.io/api/v1/{store_id}/admin/store/shipping-cost-policy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rules": [
{
"condition": {
"order_total": {
"gte": 1
}
},
"action": {
"type": "free"
}
}
],
"default_action": {
"type": "free"
}
}
'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/admin/store/shipping-cost-policy"
payload = {
"rules": [
{
"condition": { "order_total": { "gte": 1 } },
"action": { "type": "free" }
}
],
"default_action": { "type": "free" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
rules: [{condition: {order_total: {gte: 1}}, action: {type: 'free'}}],
default_action: {type: 'free'}
})
};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/admin/store/shipping-cost-policy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"content": {
"rules": [
{
"condition": {
"order_total": {
"gte": 1
}
},
"action": {
"type": "free"
}
}
],
"default_action": {
"type": "free"
}
}
}Store
Create shipping cost policy
Create shipping cost policy
POST
/
store
/
shipping-cost-policy
Create shipping cost policy
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Was this page helpful?
⌘I